* CMOS-Inverter
* Input - Input
* Output - Output
* Plus - VDD
* Ground - GND

*       name          connections            parameter 
.SUBCKT CMOS_Inverter Input Output Plus GND  WP=0 WN=0 LP=0 LN=0 

* Supply with 0 Volt for measurement of current
* Name       node1   node2        type parameter
VCurrentmeas Plus    Plus_between DC  0

* Inverter 
* name Drain     Gate     Source          Bulk           Type Length Width
MPMOS1 Output    Input    Plus_between    Plus_between   modp L=lp   W=wp 
MNMOS1 Output    Input    GND             GND            modn L=ln   W=wn

.ENDS CMOS_Inverter
*

