* OR gate with VerilogA INV
 
* ----- Include of needed files
.include 'nor.inc'  
.hdl modules.va
 
 
* ----- Parameter 
.param lp = 0.35u 
.param ln = 0.35u 

* NOR
.param wp1 = 4u 
.param wp2 = 4u 
.param wn1 = 1u 
.param wn2 = 1u 

* name   node1  node2  Type Parameter 
VSupply VDD     GND     DC  3.3 
 

* ----- Stimuli
VInput1  Input1  GND      DC   0          PULSE(0 3.3 0 100P 100P 9.9N 20N)
VInput2  Input2  GND      DC   0          PULSE(0 3.3 5N 100P 100P 9.9N 20N) 
 
* ----- Circuit 
*NOR 
XNor      Input1  Input2 Output1  VDD  GND    CMOS_Nor LN=ln LP=lp WP1=wp1 WP2=wp2 WN1=wn1 WN2=wn2

* Inverter
XInverter1  Output1  Output2  inv_va

* ----- Outputs  
* name node1   node2     value 
COut1  Output2  GND      20f 
 
* ----- Options 
.options list node post 

.TRAN 0.01n 22n

* This is the library of the transistor data 
.LIB '$AMS/hspiceS/csx/wc49.lib' TM 
.END 
