* CMOS-NOR
* Input1 - A
* Input2 - B
* Output - Output
* Plus - VDD
* Ground - GND

*       name      Connections         parameter    
.SUBCKT CMOS_Nor A B Output Plus GND LP=0 LN=0 WP1=0 WP2=0 WN1=0 WN2=0

* Supply with 0 Volt for measurement of current
* Name       node1   node2        type parameter
VCurrentmeas Plus    Plus_between DC  0 


* NOR
* name Drain        Gate     Source         Bulk           Type Length Width
MPMOS1 Int_node     A        Plus_between   Plus_between   modp L=LP   W=WP1 
MPMOS2 Output       B        Int_node       Plus_between   modp L=LP   W=WP2 
MNMOS1 Output       A        GND            GND            modn L=LN   W=WN1
MNMOS2 Output       B        GND            GND            modn L=LN   W=WN2

.ENDS CMOS_Nor
*
